Classes (extension) | UGens>Filters

# DFM1 : UGen : AbstractFunction : Object
Extension

Digitally modelled analog filter
Source: TJUGens.sc

## Description

DFM1 is a digitally modelled analog filter.1 It provides low-pass and high-pass filtering. The filter can be overdriven and will self-oscillate at high resonances.

## Class Methods

### DFM1.ar(in, freq: 1000.0, res: 0.1, inputgain: 1.0, type: 0.0, noiselevel: 0.0003, mul: 1.0, add: 0.0)

#### Arguments:

in | input signal
freq | cutoff frequency
res | resonance
inputgain | gain applied to the input signal
type | set to 0.0 for low-pass or 1.0 for high-pass
noiselevel | amplitude of noise added to the model

### Inherited class methods

## Instance Methods

### Inherited instance methods

## Examples

// Play it with the mouse {DFM1.ar(PinkNoise.ar(mul: 0.5), MouseX.kr(80, 5000, 'exponential'), MouseY.kr(0.1, 1.2))}.play; // Throbby bass {DFM1.ar(Pulse.ar(100, mul:0.4) + Pulse.ar(100.1, mul:0.4), SinOsc.kr(SinOsc.kr(0.3).range(0.2, 5)).range(80, 2000), 1.1, inputgain: 2.0, mul:0.7)!2}.play;
[1] - For questions related to the audio code in DFM1 please contact Tony Hardie-Bick <tony@entitysynth.net>

For questions regarding the function of DFM1 within SuperCollider contact Jonny Stutters <jstutters@jeremah.co.uk>

helpfile source: /Users/zzk/Library/Application Support/SuperCollider/Extensions/SC3plugins/TJUGens/HelpSource/Classes/DFM1.schelp
link::Classes/DFM1::